#include "nsISupports.idl"

[scriptable, uuid(eeae0a51-59a8-4d4d-81bc-dd3bb3fc1264)]
interface IMole : nsISupports
{

    boolean init(in string ip, in string path, in long port);

    string hello(in string entry);

    string connect(in string login, in string ip, in long port);

    string joinChannel(in string chan);

    void listChannels(out PRUint32 count, [retval, array, size_is(count)] out string str);
    
    void listChannelUsers(in string chan, out PRUint32 count, [retval, array, size_is(count)] out string str);

    string getHomepage(in string ip, in PRUint32 port);
};
